class CreateOrderQueueStations < ActiveRecord::Migration[5.1]
  def change
    create_table :order_queue_stations do |t|
      t.string  :station_name, :null => false
      t.boolean :is_active, :null => false, :default => false
      t.json    :processing_items
      t.boolean :print_copy, :null => false, :default => false
      t.string  :printer_name
      t.integer :font_size, :null => false, :default => 10
      t.boolean :cut_per_item, :null => false, :default => false
      t.boolean :use_alternate_name, :null => false, :default => false
      t.boolean :auto_print, :null => false, :default => false
      t.string  :created_by, :null => false
      t.timestamps
    end
  end
end
